Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
com.foxit.sdk.addon.accessibility.TaggedPDFCallback Class Reference

## Public Member Functions
void | release ()
| A callback function used to release current callback object itself. More...
void | report (int category, int confidence, int page_index, RectF rect)
| A callback function used to get the tagged PDF document result information, triggered when the document will be tagged. More...

## Static Public Attributes
static final int | e_ReportCategoryArtifact = 1
| Report category type: artifact.
static final int | e_ReportCategoryFigure = 4
| Report category type: figure.
static final int | e_ReportCategoryListItem = 3
| Report category type: list item.
static final int | e_ReportCategoryParagraph = 2
| Report category type: paragraph.
static final int | e_ReportCategoryRegion = 0
| Report category type: region.
static final int | e_ReportCategoryTable = 5
| Report category type: table.
static final int | e_ReportCategoryTableHeader = 7
| Report category type: table header.
static final int | e_ReportCategoryTableRow = 6
| Report category type: table row.
static final int | e_ReportCategoryTocItem = 8
| Report category type: toc item.
static final int | e_ReportConfidenceHigh = 0
| Report confidence: high.
static final int | e_ReportConfidenceLow = 4
| Report confidence: low.
static final int | e_ReportConfidenceMedium = 2
| Report confidence: medium.
static final int | e_ReportConfidenceMediumHigh = 1
| Report confidence: medium high.
static final int | e_ReportConfidenceMediumLow = 3
| Report confidence: medium low.

## Detailed Description

This class represents a callback object used to tag PDF document. All the pure virtual functions in this class are used as callback functions and should be implemented by user in derived class. User can also re-write the virtual functions in this class in custom way.

## Member Function Documentation

## ◆ release()

void com.foxit.sdk.addon.accessibility.TaggedPDFCallback.release | ( |  | ) |

A callback function used to release current callback object itself.

Returns
  None.

## ◆ report()

void com.foxit.sdk.addon.accessibility.TaggedPDFCallback.report | ( | int | category,
|  | int | confidence,
|  | int | page_index,
|  | RectF | rect
| ) |  |

A callback function used to get the tagged PDF document result information, triggered when the document will be tagged.

This function is very useful for user to get the tagged PDF document result information.

Parameters

  [in] | category | The report category for tagged PDF. Please refer to values starting from com.foxit.sdk.addon.accessibility.TaggedPDFCallback.e_ReportCategoryRegion and this would be one of these values.
  [in] | confidence | The report confidence for tagged PDF. Please refer to values starting from com.foxit.sdk.addon.accessibility.TaggedPDFCallback.e_ReportConfidenceHigh and this would be one of these values.
  [in] | page_index | The page index of current report item belongs to.
  [in] | rect | The rectangle of current report item.

Returns
  None.